* {
    font-family: "Roboto", "serif";
    scroll-behavior: smooth;
    text-decoration: none;
    margin: 0%;
    padding: 0%;
}

#home {
    display: block;
}

nav {
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-wrap: wrap;
    background-color: var(--green);
    width: 60%;
    left: 20%;
    height: 7rem;
    border-radius: 65px;
    padding-left: 2rem;
    padding-right: 2rem;
    margin-top: 1rem;
}

.navbar {
    display: flex;
    align-items: center;
}

.navbar_logo{
    display: flex;
    gap: 0.5rem;
}

.navbar_logo>a {
    font-size: 2.5rem;
    color: var(--white);
    font-weight: 600;
    display: flex;
    justify-content: center;
    align-items: center;
}

.navbar>a {
    text-decoration: none;
    position: relative;
    font-size: 18px;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: var(--white);
}

.navbar>a:hover {
    color: var(--black);
}

.navbar>a.active {
    background-color: var(--greenactive);
    color: var(--white);
    border-radius: 25px;
    padding: 0.5rem 1rem;
}

@media (max-width: 1425px) 
{
    .navbar>a.active {
        background-color: var(--greenactive);
        margin-left: 30rem;
        margin-right: 30rem;
        border-radius: 65px;
    }
}

@media (max-width: 1150px) 
{
    .navbar>a.active {
        margin-left: 25rem;
        margin-right: 25rem;
    }
}

@media (max-width: 958px) 
{
    .navbar>a.active {
        margin-left: 20rem;
        margin-right: 20rem;
    }
}

@media (max-width: 850px) 
{
    .navbar>a.active {
        margin-left: 18rem;
        margin-right: 18rem;
    }
}

@media (max-width: 710px) 
{
    .navbar>a.active {
        margin-left: 15rem;
        margin-right: 15rem;
    }
}

@media (max-width: 600px) 
{
    .navbar>a.active {
        margin-left: 4rem;
        margin-right: 4rem;
    }
}

.navbar svg {
    height: 3rem;
    order: -1;
    stroke-width: 1px;
}

.login a{
    color: var(--white);
    background-color: var(--black);
    border-radius: 65px;
    padding: 0.6rem 1.5rem;
    font-size: 18px;
    cursor: pointer;
    /* outline-style: solid; */
    outline-width: 0.1rem;
    display: flex;
    align-items: center;
    margin-left: -2rem;
    transition: background-color 0.3s, color 0.3s;
}

.login a:hover {
    background-color: var(--blackhover);
}

.login svg {
    width: 2rem;
    margin-left: 0.2rem;
    stroke-width: 1px;
}

.navbar .icon {
    display: none;
}

.myLinks {
    display: flex;
    flex-direction: row;
}

.myLinks.show {
    display: flex;
}

@media (max-width: 1425px) {

    nav {
        justify-content: space-evenly;
    }

    .navbar_logo img {
        display: none;
    }

    .navbar a.icon {
        display: flex;
        color: var(--white);
        margin-left: 7rem;
        background-color: var(--greenactive);
        color: var(--white);
        border-radius: 25px;
        padding: 1.5rem 1.5rem;
    }

    .login a {
        margin-left: 0rem;
        align-items: left !important;
    }

    .myLinks {
        display: none;
        flex-direction: column;
        width: 100%;
        height: 80%;
        background-color: var(--white);
        position: absolute;
        top: 13rem;
        left: 0;
        right: 0;
        z-index: 1;
    }

    .navbar>a.active {
        color: var(--black);
    }
    
    .navbar a {
        text-align: left;
        color: var(--black);
    }
    
    .navbar svg {
        height: 2rem;
    }
}

@media (min-width: 1426px) {

    .navbar_logo img {
        display: block;
    }

    .navbar a.icon {
        display: none;
    }

    .myLinks {
        display: flex;
        flex-direction: row;
        background-color: transparent;
        position: static;
        height: auto;
    }

    .navbar>a.active {
        color: var(--white);
    }

    .navbar a {
        text-align: center;
        color: var(--white);
    }
}

@media (max-width: 900px) {
    
    .navbar a.icon {
        margin-left: 0rem;
        margin: 0.5rem;
    } 
}

@media (max-width: 730px) {
    
    nav {
        height: 10rem;
    }   

    .navbar a.icon {
        margin-left: 0.5rem;
    } 
}

@media (max-width: 418px) {

    nav {
        height: 11rem;  
     }

     .login a {
        padding: 0.5rem 1.4rem;
        font-size: 15px;
        margin-top: -2rem;
     }

     .navbar a.icon {
        margin-left: 0rem;
        padding: 1.3rem 1.3rem;
        margin-top: -1.5rem;
    }
}

@media (max-width: 367px) {

    nav {
        height: 11rem;  
     }

     .login a {
        padding: 0.5rem 1.4rem;
        font-size: 14px;
        margin-top: -2rem;
     }

     .navbar a.icon {
        margin-left: 0rem;
        padding: 1.2rem 1.2rem;
        margin-top: -1.5rem;
    }
}

@media (max-width: 352px) {

    nav {
        height: 10rem;  
     }

     .login a {
        padding: 0.4rem 1.3rem;
        font-size: 14px;
        margin-top: -2rem;
     }

     .navbar a.icon {
        margin-left: 0rem;
        padding: 1.1rem 1.1rem;
        margin-top: -1.5rem;
    }
}

@media (max-width: 340px) {

    nav {
        height: 10rem;  
     }

     .login a {
        padding: 0.4rem 1.1rem;
        font-size: 14px;
        margin-top: -2rem;
     }

     .navbar a.icon {
        margin-left: 0rem;
        padding: 1rem 1rem;
        margin-top: -1.5rem;
    }
}
